--- old/usr/src/cmd/Adm/sun/Makefile	2014-08-15 19:22:03.165762681 +0400
+++ new/usr/src/cmd/Adm/sun/Makefile	2014-08-15 19:22:03.187425290 +0400
@@ -24,27 +24,36 @@
 #
 
 ETCFILES= ioctl.syscon passwd shadow motd
+FTPDFILES= ftpusers
 KVMFILES= README
 SMBFILES= smbpasswd
 
 include ../../Makefile.cmd
 
 ROOTETCFILES= $(ETCFILES:%=$(ROOTETC)/%)
+ROOTETCFTPDFILES= $(FTPDFILES:%=$(ROOTETCFTPD)/%)
 ROOTUSRKVMFILES= $(KVMFILES:%=$(ROOTUSRKVM)/%)
 ROOTVARSMBFILES= $(SMBFILES:%=$(ROOTVARSMB)/%)
 
 FILEMODE= 0644
 
+ROOTETCFTPUSERSLINK= $(ROOTETC)/ftpusers
+
 $(ROOTETC)/shadow 	:=	FILEMODE =	400
 $(ROOTVARSMB)/smbpasswd :=	FILEMODE =	0400
 
+
 .KEEP_STATE:
 
-all: $(ETCFILES) $(KVMFILES) $(SMBFILES)
+$(ROOTETCFTPUSERSLINK):	$(ROOTETCFTPDFILES)
+	$(SYMLINK) ftpd/ftpusers $@
+
+all: $(ETCFILES) $(KVMFILES) $(SMBFILES) $(FTPDFILES)
 
-install: all $(ROOTETCFILES) $(ROOTUSRKVMFILES) $(ROOTVARSMBFILES)
+install: all $(ROOTETCFILES) $(ROOTETCFTPDFILES) $(ROOTUSRKVMFILES) $(ROOTVARSMBFILES) $(ROOTETCFTPUSERSLINK)
 
 clean:
+	$(RM) $(ROOTETCFTPUSERSLINK)
 
 lint:
 
--- /dev/null	2014-08-15 18:32:55.000000000 +0400
+++ new/usr/src/cmd/Adm/sun/ftpusers	2014-08-15 19:22:03.838070513 +0400
@@ -0,0 +1,24 @@
+#
+# List of users denied access to the FTP server, see ftpusers(4).
+#
+root
+daemon
+bin
+sys
+adm
+lp
+uucp
+nuucp
+dladm
+netadm
+netcfg
+smmsp
+listen
+gdm
+xvm
+mysql
+openldap
+webservd
+nobody
+noaccess
+nobody4
--- old/usr/src/cmd/Makefile.check	2014-08-15 19:22:04.141805775 +0400
+++ new/usr/src/cmd/Makefile.check	2014-08-15 19:22:04.167238714 +0400
@@ -94,7 +94,6 @@
 	cmd-inet/usr.lib/vrrpd		\
 	cmd-inet/usr.lib/wpad		\
 	cmd-inet/usr.sbin		\
-	cmd-inet/usr.sbin/in.ftpd	\
 	cmd-inet/usr.sbin/in.rdisc	\
 	cmd-inet/usr.sbin/in.routed	\
 	cmd-inet/usr.sbin/in.talkd	\
--- old/usr/src/cmd/Makefile.cmd	2014-08-15 19:22:04.774705692 +0400
+++ new/usr/src/cmd/Makefile.cmd	2014-08-15 19:22:04.797285126 +0400
@@ -69,6 +69,7 @@
 ROOTETCSECLIB=	$(ROOTETCSECURITY)/lib
 ROOTETCZONES=	$(ROOTETC)/zones
 
+ROOTETCFTPD=	$(ROOT)/etc/ftpd
 ROOTETCINET=	$(ROOT)/etc/inet
 ROOTCCSBIN=	$(ROOT)/usr/ccs/bin
 ROOTCCSBIN64=	$(ROOTCCSBIN)/$(MACH64)
@@ -331,6 +332,9 @@
 $(ROOTETC)/%: %
 	$(INS.file)
 
+$(ROOTETCFTPD)/%: %
+	$(INS.file)
+
 $(ROOTETCINET)/%: %
 	$(INS.file)
 
--- old/usr/src/cmd/cmd-inet/usr.sbin/Makefile	2014-08-15 19:22:05.471120702 +0400
+++ new/usr/src/cmd/cmd-inet/usr.sbin/Makefile	2014-08-15 19:22:05.493643554 +0400
@@ -61,12 +61,12 @@
 K5TELNETOBJS=	in.telnetd.o
 SRCS=		$(PROGSRCS) $(OTHERSRC)
 
-SUBDIRS=	bootconfchk htable ifconfig ilbadm in.ftpd in.rdisc in.routed \
+SUBDIRS=	bootconfchk htable ifconfig ilbadm in.rdisc in.routed \
 		in.talkd inetadm inetconv ipadm ipmpstat ipqosconf ipsecutils \
 		kssl/kssladm kssl/ksslcfg nwamadm nwamcfg ping routeadm \
 		snoop sppptun traceroute wificonfig
 
-MSGSUBDIRS=	bootconfchk htable ifconfig ilbadm in.ftpd in.routed in.talkd \
+MSGSUBDIRS=	bootconfchk htable ifconfig ilbadm in.routed in.talkd \
 		inetadm inetconv ipadm ipmpstat ipqosconf ipsecutils \
 		kssl/ksslcfg nwamadm nwamcfg routeadm sppptun snoop wificonfig
 
--- old/usr/src/man/man1/Makefile	2014-08-15 19:22:20.494475985 +0400
+++ new/usr/src/man/man1/Makefile	2014-08-15 19:22:20.515468050 +0400
@@ -139,8 +139,6 @@
 	 	fmtmsg.1			\
 	 	fold.1				\
 	 	ftp.1				\
-	 	ftpcount.1			\
-	 	ftpwho.1			\
 	 	gcore.1				\
 	 	gencat.1			\
 	 	genmsg.1			\
--- old/usr/src/man/man1m/Makefile	2014-08-15 19:22:22.328211100 +0400
+++ new/usr/src/man/man1m/Makefile	2014-08-15 19:22:22.347601947 +0400
@@ -157,10 +157,6 @@
 		fssnap_ufs.1m		\
 		fsstat.1m		\
 		fstyp.1m		\
-		ftpaddhost.1m		\
-		ftpconfig.1m		\
-		ftprestart.1m		\
-		ftpshut.1m		\
 		fuser.1m		\
 		fwflash.1m		\
 		fwtmp.1m		\
@@ -206,7 +202,6 @@
 		in.discardd.1m		\
 		in.echod.1m		\
 		in.fingerd.1m		\
-		in.ftpd.1m		\
 		in.iked.1m		\
 		in.lpd.1m		\
 		in.mpathd.1m		\
@@ -645,7 +640,6 @@
 		dodisk.1m			\
 		fcadm.1m			\
 		fingerd.1m			\
-		ftpd.1m				\
 		grpck.1m			\
 		hal-find-by-capability.1m	\
 		hal-find-by-property.1m		\
@@ -754,7 +748,6 @@
 
 comsat.1m			:= LINKSRC = in.comsat.1m
 fingerd.1m			:= LINKSRC = in.fingerd.1m
-ftpd.1m				:= LINKSRC = in.ftpd.1m
 rarpd.1m			:= LINKSRC = in.rarpd.1m
 rdisc.1m			:= LINKSRC = in.rdisc.1m
 rexecd.1m			:= LINKSRC = in.rexecd.1m
--- old/usr/src/man/man1m/mknod.1m	2014-08-15 19:22:24.227315130 +0400
+++ new/usr/src/man/man1m/mknod.1m	2014-08-15 19:22:24.247842516 +0400
@@ -23,11 +23,9 @@
 .fi
 
 .SH DESCRIPTION
-.sp
 .LP
 \fBmknod\fR makes a directory entry for a special file.
 .SH OPTIONS
-.sp
 .LP
 The following options are supported:
 .sp
@@ -58,7 +56,6 @@
 .RE
 
 .SH OPERANDS
-.sp
 .LP
 The following operands are supported:
 .sp
@@ -91,17 +88,14 @@
 .RE
 
 .SH USAGE
-.sp
 .LP
 See \fBlargefile\fR(5) for the description of the behavior of \fBmknod\fR when
 encountering files greater than or equal to 2 Gbyte ( 2^31 bytes).
 .SH SEE ALSO
-.sp
 .LP
-\fBftp\fR(1), \fBin.ftpd\fR(1M), \fBmknod\fR(2), \fBsymlink\fR(2),
+\fBftp\fR(1), \fBmknod\fR(2), \fBsymlink\fR(2),
 \fBattributes\fR(5), \fBlargefile\fR(5)
 .SH NOTES
-.sp
 .LP
 If \fBmknod\fR(2) is used to create a device, the major and minor device
 numbers are always interpreted by the kernel running on that machine.
--- old/usr/src/man/man1m/sftp-server.1m	2014-08-15 19:22:24.886421367 +0400
+++ new/usr/src/man/man1m/sftp-server.1m	2014-08-15 19:22:24.918662400 +0400
@@ -12,7 +12,6 @@
 .fi
 
 .SH DESCRIPTION
-.sp
 .LP
 \fBsftp-server\fR implements the server side of the SSH File Transfer Protocol
 as defined in the IETF \fBdraft-ietf-secsh-filexfer\fR.
@@ -40,9 +39,8 @@
 .sp
 .LP
 There is no relationship between the protocol used by \fBsftp-server\fR and the
-FTP protocol (RFC 959) provided by \fBin.ftpd\fR.
+FTP protocol (RFC 959).
 .SH OPTIONS
-.sp
 .LP
 Valid options are listed below. As stated above, these are to be specified in
 the Subsystem declation of \fBsshd_config\fR.
@@ -77,7 +75,6 @@
 .RE
 
 .SH EXIT STATUS
-.sp
 .LP
 The following exit values are returned:
 .sp
@@ -99,7 +96,6 @@
 .RE
 
 .SH FILES
-.sp
 .ne 2
 .na
 \fB\fB/usr/lib/ssh/sftp-server\fR\fR
@@ -109,7 +105,6 @@
 .RE
 
 .SH ATTRIBUTES
-.sp
 .LP
 See \fBattributes\fR(5) for descriptions of the following attributes:
 .sp
@@ -125,7 +120,6 @@
 .TE
 
 .SH SEE ALSO
-.sp
 .LP
 \fBsftp\fR(1), \fBssh\fR(1), \fBssh-add\fR(1), \fBssh-keygen\fR(1),
 \fBsshd\fR(1M), \fBsshd_config\fR(4), \fBattributes\fR(5)
--- old/usr/src/man/man3c/syslog.3c	2014-08-15 19:22:25.627488169 +0400
+++ new/usr/src/man/man3c/syslog.3c	2014-08-15 19:22:25.651702828 +0400
@@ -34,7 +34,6 @@
 .fi
 
 .SH DESCRIPTION
-.sp
 .LP
 The \fBsyslog()\fR function sends a message to \fBsyslogd\fR(1M), which,
 depending on the configuration of \fB/etc/syslog.conf\fR, logs it in an
@@ -177,7 +176,7 @@
 \fB\fBLOG_DAEMON\fR\fR
 .ad
 .RS 14n
-System daemons, such as \fBin.ftpd\fR(1M).
+System daemons.
 .RE
 
 .sp
@@ -394,12 +393,10 @@
 including \fItoppri\fR is given by the macro \fBLOG_UPTO(\fItoppri\fR)\fR. The
 default log mask allows all priorities to be logged.
 .SH RETURN VALUES
-.sp
 .LP
 The \fBsetlogmask()\fR function returns the previous log priority mask. The
 \fBcloselog()\fR, \fBopenlog()\fR and \fBsyslog()\fR functions return no value.
 .SH ERRORS
-.sp
 .LP
 No errors are defined.
 .SH EXAMPLES
@@ -475,7 +472,6 @@
 .sp
 
 .SH ATTRIBUTES
-.sp
 .LP
 See \fBattributes\fR(5) for descriptions of the following attributes:
 .sp
@@ -495,9 +491,8 @@
 .TE
 
 .SH SEE ALSO
-.sp
 .LP
 \fBat\fR(1), \fBcrontab\fR(1), \fBlogger\fR(1), \fBlogin\fR(1), \fBlpc\fR(1B),
 \fBlpr\fR(1B), \fBauditd\fR(1M), \fBcron\fR(1M), \fBgetty\fR(1M),
-\fBin.ftpd\fR(1M), \fBsu\fR(1M), \fBsyslogd\fR(1M), \fBprintf\fR(3UCB),
+\fBsu\fR(1M), \fBsyslogd\fR(1M), \fBprintf\fR(3UCB),
 \fBsyslog.conf\fR(4), \fBattributes\fR(5), \fBstandards\fR(5)
--- old/usr/src/man/man4/Makefile	2014-08-15 19:22:26.426989679 +0400
+++ new/usr/src/man/man4/Makefile	2014-08-15 19:22:26.449267439 +0400
@@ -70,11 +70,6 @@
 		fspec.4				\
 		fstypes.4			\
 		ftp.4				\
-		ftpaccess.4			\
-		ftpconversions.4		\
-		ftpgroups.4			\
-		ftphosts.4			\
-		ftpservers.4			\
 		ftpusers.4			\
 		fx_dptbl.4			\
 		gateways.4			\
@@ -210,7 +205,6 @@
 		volume-request.4		\
 		wanboot.conf.4			\
 		warn.conf.4			\
-		xferlog.4			\
 		ypfiles.4			\
 		yppasswdd.4			\
 		ypserv.4			\
--- old/usr/src/pkg/manifests/SUNWcs.man4.inc	2014-08-15 19:22:31.740980361 +0400
+++ new/usr/src/pkg/manifests/SUNWcs.man4.inc	2014-08-15 19:22:31.759731200 +0400
@@ -41,6 +41,7 @@
 file path=usr/share/man/man4/format.dat.4
 file path=usr/share/man/man4/fspec.4
 file path=usr/share/man/man4/fstypes.4
+file path=usr/share/man/man4/ftpusers.4
 file path=usr/share/man/man4/fx_dptbl.4
 file path=usr/share/man/man4/group.4
 file path=usr/share/man/man4/hosts.4
--- old/usr/src/pkg/manifests/SUNWcs.mf	2014-08-15 19:22:32.328926340 +0400
+++ new/usr/src/pkg/manifests/SUNWcs.mf	2014-08-15 19:22:32.351030828 +0400
@@ -1688,8 +1688,6 @@
     license=usr/src/cmd/cmd-inet/usr.sbin/THIRDPARTYLICENSE.route
 license usr/src/cmd/cmd-inet/usr.sbin/ifconfig/THIRDPARTYLICENSE \
     license=usr/src/cmd/cmd-inet/usr.sbin/ifconfig/THIRDPARTYLICENSE
-license usr/src/cmd/cmd-inet/usr.sbin/in.ftpd/LICENSE \
-    license=usr/src/cmd/cmd-inet/usr.sbin/in.ftpd/LICENSE
 license usr/src/cmd/cmd-inet/usr.sbin/traceroute/THIRDPARTYLICENSE \
     license=usr/src/cmd/cmd-inet/usr.sbin/traceroute/THIRDPARTYLICENSE
 license usr/src/cmd/cron/THIRDPARTYLICENSE \
@@ -1734,6 +1732,7 @@
 link path=etc/fsck target=../usr/sbin/fsck
 link path=etc/fsdb target=../usr/sbin/fsdb
 link path=etc/fstyp target=../usr/sbin/fstyp
+link path=etc/ftpusers target=./ftpd/ftpusers
 link path=etc/getty target=../usr/lib/saf/ttymon
 link path=etc/grpck target=../usr/sbin/grpck
 link path=etc/halt target=../usr/sbin/halt
--- old/usr/src/pkg/manifests/SUNWftp.mf	2014-08-15 19:22:32.994643498 +0400
+++ new/usr/src/pkg/manifests/SUNWftp.mf	2014-08-15 19:22:33.015390488 +0400
@@ -23,7 +23,9 @@
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
 #
 
+# Was renamed to service/network/ftp, both now obsolete
+
 set name=pkg.fmri value=pkg:/SUNWftp@0.5.11,5.11-0.133
-set name=pkg.renamed value=true
+set name=pkg.obsolete value=true
+set name=org.opensolaris.noincorp value=true
 set name=variant.arch value=$(ARCH)
-depend fmri=pkg:/service/network/ftp@0.5.11,5.11-0.133 type=require
--- old/usr/src/pkg/manifests/network-ftp.mf	2014-08-15 19:22:33.610546639 +0400
+++ new/usr/src/pkg/manifests/network-ftp.mf	2014-08-15 19:22:33.630537096 +0400
@@ -44,6 +44,7 @@
 file path=usr/sbin/ping mode=4555
 file path=usr/share/man/man1/ftp.1
 file path=usr/share/man/man1m/ping.1m
+file path=usr/share/man/man4/ftp.4
 file path=usr/share/man/man4/netrc.4
 legacy pkg=SUNWbip desc="Basic IP commands (/usr/sbin/ping, /bin/ftp)" \
     name="Basic IP commands (Usr)"
--- old/usr/src/pkg/manifests/service-network-ftp.mf	2014-08-15 19:22:34.174282844 +0400
+++ new/usr/src/pkg/manifests/service-network-ftp.mf	2014-08-15 19:22:34.193571438 +0400
@@ -25,62 +25,6 @@
 #
 
 set name=pkg.fmri value=pkg:/service/network/ftp@$(PKGVERS)
-set name=pkg.description value="FTP Server and Utilities"
-set name=pkg.summary value="FTP Server"
-set name=info.classification value=org.opensolaris.category.2008:System/Core
+set name=pkg.obsolete value=true
+set name=org.opensolaris.noincorp value=true
 set name=variant.arch value=$(ARCH)
-dir path=etc group=sys
-dir path=etc/ftpd group=sys
-dir path=lib
-dir path=lib/svc
-dir path=lib/svc/manifest group=sys
-dir path=lib/svc/manifest/network group=sys
-dir path=lib/svc/method
-dir path=usr group=sys
-dir path=usr/sbin
-dir path=usr/share/man
-dir path=usr/share/man/man1
-dir path=usr/share/man/man1m
-dir path=usr/share/man/man4
-file path=etc/ftpd/ftpaccess group=sys \
-    original_name=SUNWftp:etc/ftpd/ftpaccess preserve=true
-file path=etc/ftpd/ftpconversions group=sys \
-    original_name=SUNWftp:etc/ftpd/ftpconversions preserve=true
-file path=etc/ftpd/ftpgroups group=sys \
-    original_name=SUNWftp:etc/ftpd/ftpgroups preserve=true
-file path=etc/ftpd/ftphosts group=sys original_name=SUNWftp:etc/ftpd/ftphosts \
-    preserve=true
-file path=etc/ftpd/ftpservers group=sys \
-    original_name=SUNWftp:etc/ftpd/ftpservers preserve=true
-file path=lib/svc/manifest/network/ftp.xml group=sys mode=0444
-file path=lib/svc/method/svc-ftp mode=0555
-file path=usr/sbin/ftpaddhost mode=0555
-file path=usr/sbin/ftpconfig mode=0555
-file path=usr/sbin/ftpcount mode=0555
-file path=usr/sbin/ftprestart mode=0555
-file path=usr/sbin/ftpshut mode=0555
-file path=usr/sbin/in.ftpd mode=0555
-file path=usr/sbin/privatepw mode=0555
-file path=usr/share/man/man1/ftpcount.1
-file path=usr/share/man/man1/ftpwho.1
-file path=usr/share/man/man1m/ftpaddhost.1m
-file path=usr/share/man/man1m/ftpconfig.1m
-file path=usr/share/man/man1m/ftprestart.1m
-file path=usr/share/man/man1m/ftpshut.1m
-file path=usr/share/man/man1m/in.ftpd.1m
-file path=usr/share/man/man4/ftp.4
-file path=usr/share/man/man4/ftpaccess.4
-file path=usr/share/man/man4/ftpconversions.4
-file path=usr/share/man/man4/ftpgroups.4
-file path=usr/share/man/man4/ftphosts.4
-file path=usr/share/man/man4/ftpservers.4
-file path=usr/share/man/man4/ftpusers.4
-file path=usr/share/man/man4/xferlog.4
-hardlink path=usr/sbin/ftpwho target=../../usr/sbin/ftpcount
-legacy pkg=SUNWftpr desc="FTP Server Configuration Files" \
-    name="FTP Server, (Root)"
-legacy pkg=SUNWftpu desc="FTP Server and Utilities" name="FTP Server, (Usr)"
-license cr_Sun license=cr_Sun
-license usr/src/cmd/cmd-inet/usr.sbin/in.ftpd/LICENSE \
-    license=usr/src/cmd/cmd-inet/usr.sbin/in.ftpd/LICENSE
-link path=usr/share/man/man1m/ftpd.1m target=in.ftpd.1m
